<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLContainersAggregate&lt; AlgData &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a5561ee95dd89b5f948275baf2069f383">countSS</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a0fe6f8be5e07c64170b6a92f057db61c">externalAggregateUpdate</a>(AGG_SYS_MESSAGE_TYPE *aggSysInfo)</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a2563e0a0ac054729638cd9b55359df00">getMaxActiveAlgData</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a142af06cf094b1ae4dac2a8abfd55310">getMinActiveAlgData</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a6be61ecacbdac8f97e134141fe89a64b">getNumExternalMessages</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a60a16ff13b899f8237994cac8b01908e">getNumLocalVertices</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a12614a74824ea634b4665bf6e0b6022d">getNumSS</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a8a260b73f6eca28cc04fef12c7e3edac">getNumTotalMessages</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a13da64d53762dc1e1e0900e28903c2cf">getNumVertices</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a4e308f42d847083bba45040eda5a9eeb">getPastMaxActiveAlgData</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a17eb0efe3b39b2ac61930fedc6cf7237">getPastMinActiveAlgData</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a69865b656cd9b474e149625492f89b3a">getPastNumExternalMessages</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a3913c2be0d087f69892ee0d1b4e02c08">getPastNumTotalMessages</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a9c7d3314127c59ce3ed1c23378b6e57e">getPastSumActiveAlgData</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a43df95a92f21ee9e2e2a1443629f5cfc">getSumActiveAlgData</a>()</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a2b7398a983604cf319ecc14b5dc43cee">incrementExternalMessagesCount</a>(uint_fast32_t currNumMessages)</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a634cea0f993b93549a4c8df631a8996a">isUpdated</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a04afa8cf6216839d4c877fe28e34ad53">localAggregateInit</a>(uint_fast32_t ssIndex, uint_fast32_t numLocActiveNodes)</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#aca8c7367d645f65d1d2c7fbc96eb3096">localAggregateUpdate</a>(VERTEX_ITERATOR vertexIt, uint_fast32_t currNumMessages)</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#ada6c83411d9eb54ddcba58b7db52c7ca">maxActiveAlgData</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#adee5333a31d8f0199b059006b0b0a2c3">minActiveAlgData</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#adbc8349ec3065a2dfccebce5527bec82">numExternalMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a36c75840693e07da4d59fe8269720fa9">numLocalActiveNodes</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#adbea704396b2b82f8f9b260c86206e6e">numLocalVertices</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a38a14d8e84fbe0103c1c043d4485d958">numTotalActiveNodes</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#acc02e42cdc6d4cf91525e563535c6ac2">numTotalMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a305621751cb671f32cfac297765b50bc">numVertices</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a3ee8a15559012f6b8bb3df99887f4594">prepareAggregateSysMessage</a>(AGG_SYS_MESSAGE_TYPE *aggSysInfo)</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#af9b0510a2daf3d252622f75cc3a12b10">setNumLocalActiveNoes</a>(uint_fast32_t numActive)</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a87a3a907d1ccffd79eeb24b11ae9bfc4">setNumLocalVertices</a>(uint_fast32_t num)</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#aa63f0a94c65a484525209b3b446a8280">setNumVertices</a>(uint_fast32_t num)</td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersAggregate.html#a6e2cc4436a685cf860d668266212f42d">sumActiveAlgData</a></td><td class="entry"><a class="el" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt; AlgData &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:56 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
